GuiCommand:
Name: Draft Arc
MenuLocation: Drafting , Arc tools , Arc
2D Drafting , Arc
Workbenches: Draft_Workbench, BIM_Workbench
Shortcut: A R
Version: 0.7
SeeAlso: Draft_Arc_3Points, Draft_Circle
Draft Arc
Description
The Draft Arc command creates a circular arc on the current working plane from a center, a radius, a start angle and an aperture angle. The radius and the angles can be defined by picking points.
A Draft Arc is in fact a Draft Circle with a First Angle that is not the same as its Last Angle.
![](https://raw.githubusercontent.com/FreeCAD/FreeCAD-documentation/master/wiki/images/Draft_Arc_example.jpg)
Usage
See also: Draft Tray, Draft Snap and Draft Constrain.
- There are several ways to invoke the command:
- The Arc task panel opens. See Options for more information.
- Pick the first point, the center of the arc, in the 3D view, or type coordinates and press the
Enter point button.
- Pick the second point in the 3D view, or enter a Radius.
- Pick the third point in the 3D view, or enter a Start angle.
- Pick the fourth point in the 3D view, or enter an Aperture angle.
Options
The single character keyboard shortcuts available in the task panel can be changed. See Draft Preferences. The shortcuts mentioned here are the default shortcuts (for version 1.0).
- To manually enter the coordinates for the center enter the X, Y and Z component, and press Enter after each. Or you can press the
Enter point button when you have the desired values. It is advisable to move the pointer out of the 3D view before entering coordinates.
- Press G or click the Global checkbox to toggle global mode. If global mode is on, coordinates are relative to the global coordinate system, else they are relative to the working plane coordinate system.
- Press N or click the Continue checkbox to toggle continue mode. If continue mode is on, the command will restart after finishing, allowing you to continue creating arcs.
- Press S to switch Draft snapping on or off.
- Press Esc or the Close button to abort the command.
Notes
- A Draft Arc can be edited with the Draft Edit command.
Preferences
See also: Preferences Editor and Draft Preferences.
- If the Edit → Preferences... → Draft → General → Create Part primitives if possible option is checked, the command will create a Part Circle instead of a Draft Circle.
Properties
See Draft Circle.
Scripting
See also: Autogenerated API documentation and FreeCAD Scripting Basics.
To create a Draft Arc use the make_circle
method ((v0.19) ) of the Draft module. This method replaces the deprecated makeCircle
method.
Example:
import FreeCAD as App
import Draft
doc = App.newDocument()
arc1 = Draft.make_circle(200, startangle=0, endangle=90)
arc2 = Draft.make_circle(500, startangle=20, endangle=160)
arc3 = Draft.make_circle(750, startangle=-30, endangle=-150)
doc.recompute()
⏵ documentation index > Draft > Draft Arc
This page is retrieved from https://github.com/FreeCAD/FreeCAD-documentation/blob/main/wiki/Draft_Arc.md